---
title: Meeting Minutes 2021-11-24
date: 2021-11-24
attendees:
  - toddrosedahl,ibm
  - timansell,google
  - toshaanbharvani,vantosh
  - antonblanchard,ibm
  - micaelneuling,ibm
  - paulmackerras,ibm
  - lancealbertson,oregonstateuniversity
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 24 November 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA

  * **Main message was that we should all use the slack channel for communication so we can all see what is happening with software, gateware, and all communications and follow ups**
  * Stuff from OCP Summit
     * Reach out to Intel group doing the RunBMC FPGA project. **Todd will do this**
     * Reach out to GoWin group (https://www.gowinsemi.com/en/) **Todd will contact them.**
  * Following up on Lattice DC-SCM v1.0 board with Antmicro? **Todd will ask for an update in the channel**
  * Understanding DC-SCM 2.0 -- There are a bunch of FPGAs being discussed in support area. **Todd is the DC-SCM rep and will keep communication going both ways.  Todd to tell Tim who from Google is on DC-SCM calls**
  
  * As far as I can tell, there is **no** activity on software or gateware at all?
     * Repository at https://github.com/litex-hub/linux-on-litex-power is still empty
     * 

  * SymbiFlow community continues to barrel forward;
     * https://github.com/SymbiFlow/symbiflow-examples/pull/217 -- xc7: add lite SATA example #217

  * LiteX community continues to barrel forward doing interesting stuff;
     * https://twitter.com/search?q=litex&src=typed_query
     * Greg Davill's ButterStick finally shipped -- ECP5 hardware.
          * 
     * https://twitter.com/enjoy_digital/status/1463215270584016907?s=20 -- Awesome recent work by the LiteX community:
        - JTAG-UART/Bone on ECP5 by Greg.D, Gabriel.S
        - 32/64-bit Datapath added to LiteEth for 10Gbps by Leons.S, David.S, Vamsi.V
        - Fireant/Tang Nano Primer support by Miodrag.M
     * https://twitter.com/enjoy_digital/status/1462853379076628482?s=20 -- The 20 Acorns have been attributed, now flashing the  Linux-on-LiteX-VexRiscv multiboot bitstream (for safe update over PCIe) and will ship them soon. Have a good trip around the world Luggage, hoping to see you soon online :)
     * https://twitter.com/enjoy_digital/status/1461353848388284422?s=20 - Have a free PCIe-M2 slot in your Linux computer? Why not put a 100% Open RISC-V-Linux computer in it or create your own FPGA based accelerator?! (without any JTAG/UART cable Winking face with tongue), 20 Acorn boards to give away for developers willing to contribute/extend this! (PM if interested).
          * Funny thing: The LiteUART Linux driver from @antmicro is used on both side for UART communication: By the VexRiscv SoC running Linux and by the Host to create the virtual UART over PCIe. This last missing piece has just been added by Ilia S:
          * https://twitter.com/SeanMBlakley/status/1462886433039994891?s=20 -- I think I have this working over Thunderbolt PCIe
      * https://twitter.com/SeanMBlakley/status/1459971651504852998?s=20 -- My latest project - a portable USB-Thunderbolt FPGA dev board with  x4 lane PCIe DMA access via a LiteX LitePCIe core, repurposed from abandon-ware SQRL Acorn CLE-215(+) crypto miners...

      * Not seeing any POWER engagement...

  * nMigen PPC core with OpenPower Foundation?
      * 

  * There seems to be some random stuff being done by Bill Flynn?

  * Some very old examples;
      * https://github.com/timvideos/litex-buildenv/wiki/HowTo-LCA2018-FPGA-Miniconf
      * https://github.com/timvideos/litex-buildenv/wiki/HowTo-LCA2018-FPGA-Miniconf-VexRiscv-Renode

  * Documentation on building 'LibreBMC'

## Getting hardware to people -- Update

There are 3 components: host system (AC922), Interposer board, DC-SCM Board.

 * AC922
     * 1 is in **enroute to Austin**
     * 1 is in Australia
     * 1 is in Sunnyvale, USA @ Google
     * 1 is in Seattle, USA @ Google
     * Loaner from IBM Poland to Antmicro is in process
         * **Update?**
     * Further action on aquiring AC922s
         * Antmicro is purchasing one and should have it soon
             * Snags have been worked through and reports are it should arrive soon
             * **Update?**
         * VanTosh will also be purchasing at least one
             * received and in testing


 * Interposer : https://git.openpower.foundation/librebmc/ac922interposer)
     * 6 pieces made.
         * 1 is in Rochester
         * **1 with Todd.**
             * **Should I ship one to VanTosh now?**
                 * This makes sense.  Ship the DC-SCM and interposer
             * **Is there another show/tell upcoming? Todd to check with Mendy**
         * 2 are in Australia
         * 2 are at Antmicro
     * Parts for 4 more ordered.  Six different components.
         * 5 of the 6 have been delivered
         * 1 part is on backorder from Mouser.  **Outlook 10/22.  Todd trying to find alternate parts**

 *  DC-SCM board
     *  4 boards, but only 3 have FPGAs
         *  Google is providing some to Antmicro.
             *  Still waiting for parts for 4th
         *  Antmicro shipped one to Australia
             *  Arrived and is in bring-up
             *  **Update.  Microwatt running.  Todd will reach out again to Karol on ROT connector and how to bypass ROT.  Do this on the slack channel**
         *  If you do not have an AC922, you need a special connector to get 12V to the DC-SCM card.
            * the power connectors for the ant micro card is this 
              https://www.digikey.com.au/en/products/detail/molex/5040510201/9954111?s=N4IgTCBcDaIOoFkwFYBsAOAnAWgHIBEQBdAXyA
            * you also need these headers (2 per connector above) 
https://www.digikey.com.au/en/products/detail/molex/5040520098/4357152?s=N4IgTCBcDaIOoFkCMAGJAWArAYQCoFoA5AERAF0BfIA 
         *  Todd has 1

     *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.
         *  PCBs sent in for production for lattice FPGA
         *  Still need memory and ethernet parts
         *  Marshall offered to help if there are issues getting FPGAs
         *  **Karol to check on status**

## DC-SCM 2.0 Working Group -- Meets bi-weekly
*    **LTPI, which replaces SGPIO, is going to be broken out as a separate standard**
*    **Need to use LTPI to get a much smaller connector.  Most functions/pins can be serialized as they do not need low latency nor high Bandwidth** 

# Conference Reports
* **Goal of all conferences was to garner interest in LibreBMC and solicit participation**
* **One interesting suggestion was to have a curriculum and offer "badges" or "certifications".  This would get people more interested as they could put this achievement on their resume.**
* **If we could make the training require that they actually contribute somehting, that would be great**
* **Feedback was that this would not be worth the effort.  Maybe we give certificates out for completion of existing curriculum (like the ISA), but put no effort into new curriculum.  Enable folks to play with POWER frictionlessly (as is our plan) should be enough**


## Open Power Foundation Summit  Oct 28th
* **This is complete and the recordings are being edited.  They are not yet posted for public consumption**

## OCP Summit in San Jose -- Nov 9th and 10th

 * **This is complete.  The AC922, interposer, and DC-SCM card were at the booth. Very good booth traffic despite a smaller show.  Good interest in LibreBMC**
 * **Many talks on DC-SCM as well.  Seems to be gaining traction**


## SC21 in St. Louis -- Nov 14th to Nov 19th
* **This is complete.  The AC922, interposer, and DC-SCM card were at the booth. Decent booth traffic for LibreBMC**
* **Good traffic for OpenCAPI and interest in OMI**
* **Lots of interest in the OpenPOWER Vtech curriculum as well**

## Gateware

* **Verilog vs OpenCL was discussed at the conference with Vtech**
    * **They reported that what took a few hours using OpenCL took an entire semester to do in verilog**
    * **OpenCL however, resulted in a larger footprint and lower performance**


* **Vtech did a study that showed that an FPGA implementation was much slower, but when the code was optimized for the FPGA, the perfomance result was on par with a CPU/GPU**




## Software

 * **Any new updates here?**


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
     * **Update?**
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)
     * Meeting invites should include a link to this agenda so everyone can add agenda topics.  Todd to add to the Australia time invite.  Michael/Karol to add to the Europe time invite
     * **Note the European time zone meeting has timed out. Todd to send out a new repeating entry**

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## New Topics?

* How do we get more people involved?
    * Need to get ready images to consume by people
    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI
    * Then add some documentation
    * **Badges and certificates**

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.  **Any ideas on this yet?**
* Open the software stack to the world **This is not new, but worth reminding us again of the next steps**
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        
    * Step 3:  Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server


## Next Meeting

{{< localdatetime date="2021-11-11" time="15:00">}}
