---
title: Meeting Minutes 2022-01-13
date: 2022-01-13
attendees:
  - karolgugala,antmicro
  - michalgielda,antmicro
  - timansell,google
  - toshaanbharvani,vantosh
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 13 January 2022
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: 
[HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA

  * DC-SCM breakout board got [released on GitHub](https://github.com/antmicro/dc-scm-breakout-board)
  * DS-SCM ECP5 PCBs are in production - ETA is by the end of January
  * Got RoT adapter PCBs - a small board conneting one of the DC-SCM on-board flash with FPGA programming interface
      * Project is [released on GitHub](https://github.com/antmicro/dc-scm-rot-jumper-card)
  * 

## Getting hardware to people -- Update

There are 3 components: host system (AC922), Interposer board, DC-SCM Board.


## Gateware

* **Any updates here?** 

## Software

 * **Any updates here?**


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
    
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)
     * Meeting invites should include a link to this agenda so everyone can add agenda topics.  Todd to add to the Australia time invite.  Michael/Karol to add to the Europe time invite
     * **Toshann is testing the automatic meeting notice generation**

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc

 
## New Topics?

* How do we get more people involved? **Nothing new here**
    * Need to get ready images to consume by people
    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI
    * Then add some documentation
    * Badges and certificates

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.  **Any ideas on this yet?**
* Open the software stack to the world **This is not new, but worth reminding us again of the next steps**
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        
    * Step 3:  Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server


## Next Meeting

{{< localdatetime date="2022-01-27" time="23:00" >}}